class FilterListModel {
  String title;
  String iconUrl;
  int id;
  bool isSelected;

  FilterListModel({required this.id, required this.isSelected, this.iconUrl = "", required this.title});
}

class SelectionModel {
  String selectedOption;
  int selectedId;
  String errorValue;
  String itemPrice;
  String currency;

  SelectionModel({
    this.selectedOption = "",
    this.errorValue = "",
    this.selectedId = 0,
    this.itemPrice = "",
    this.currency = "",
  });

  @override
  String toString() {
    return 'SelectionModel{selectedOption: $selectedOption, selectedId: $selectedId, errorValue: $errorValue, itemPrice: $itemPrice, currency: $currency}';
  }
}

class TimeSlotModel {
  int slotId;
  bool isSelected;
  bool allowAppointment;
  String slot;
  String date;

  TimeSlotModel({
    this.slot = "",
    this.slotId = 0,
    this.date = "",
    this.isSelected = false,
    this.allowAppointment = false,
  });

  @override
  String toString() {
    return 'TimeSlotModel{slotId: $slotId, isSelected: $isSelected, slot: $slot, date: $date}';
  }
}
